MetricSetControllerAddParallelPeriodMeasure Method

POST /MetricSet/AddParallelPeriodMeasure/{id} Adds a parallel period measure to a metric set.

Namespace:  Dundas.BI.WebApi.Controllers
Assembly:  Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax
[HttpPostAttribute]
[ActionNameAttribute("AddParallelPeriodMeasure")]
public IActionResult AddParallelPeriodMeasure(
	Guid id,
	[FromBodyAttribute] AddParallelPeriodMeasureOptions options,
	Guid? sessionId = null
)

Parameters

id
Type: SystemGuid
The ID of the metric set to add the measure to.
options
Type: Dundas.BI.WebApi.ModelsAddParallelPeriodMeasureOptions
The options for adding the parallel period measure.
sessionId (Optional)
Type: SystemNullableGuid
Current session ID.

Return Value

Type: IActionResult
A MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also